List pledges
Pledges on a donor record with total, payments, billing amount and frequency.
GET https://cotlet.dev/api/v1/donorperfect/donors/{donor_id}/pledges
read
Returns the pledges on the Pledges tab of one donor record: pledge ID, pledge date, start date, total, number of payments, billing amount and frequency. A recurring pledge with no end has a total of 0 and only a billing amount. Use pledge_id and billing_amount with apply_pledge_payment.
Parameters
| Name | Type | Description |
|---|---|---|
| donor_id integer required | integer | Donor ID from search_donors. |
Request
curl https://cotlet.dev/api/v1/donorperfect/donors/1/pledges \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("donorperfect", "list_pledges", {"donor_id":1}) const result = await cotlet.call('donorperfect', 'list_pledges', {"donor_id":1}); cotlet call donorperfect list_pledges --data '{"donor_id":1}' Example response
{
"pledges": [
{
"pledge_id": 77120,
"pledge_date": "2026-01-05",
"start_date": "2026-02-01",
"total": 1200,
"payments": 12,
"billing_amount": 100,
"frequency": "Monthly",
"gl_code": "GEN",
"solicitation": "PAYROLL"
}
]
}